function CallPrice = fVGCall(alpha,sigma,v,S,K,r,t)

% This function returns the call price as defined on page 50
% of Madan and Milne(1991)

% Fabrice Douglas Rouah, FRouah.com and Volopta.com

a   = (alpha + sigma)^2;
num = 1 - v*a/2;
den = 1 - v*alpha^2/2;
d1 = log(S/K)/sigma/t + ((r + 1/v*log(num/den))/sigma + alpha+sigma)*sqrt(t);
d2 = d1 - sigma*sqrt(t);

CallPrice = S * exp(a*t/2) * (1 - v*a/2)^(t/v)*normcdf(d1) ...
          - K * exp(-r*t + alpha^2*t/2) * (1-v*alpha^2/2)^(t/v)*normcdf(d2);

